Optionally, map post-1993 VRs to UN instead of OB
2013-10-03 17:48 - J6rg Riesmeier

Status: New Start date: 2013-10-03
Priority: Normal Due date:

Assignee: % Done: 50%
Category: Library and Apps Estimated time: 0:00 hour

Target version:
Operating System:

Description

Currently, the VRs UN, UT, OF and OD, which have been introduced after the first edition of the DICOM standard, are mapped to OB
if their corresponding global flag is set accordingly. At least for UT, OF and OD, there should be another option to map them to UN (if
support for UN is not disabled).

This new mapping should also be enabled/disabled using appropriate command line options for all tools that already support the
options --enable-new-vr and --disable-new-vr.

History

#1 - 2018-02-07 15:11 - J6rg Riesmeier
- % Done changed from 0 to 50

The first part (see above first paragraph) of this Feature has been implemented. What is still missing, is an option for all relevant command line tools
that maps the "unsupported VRs" to "UN" instead of "OB" (already possible on API level).
